Subject: [bug#54729] [PATCH] build: haskell-build-system: Support packages w. multiple libraries

From: itd <[email-masked]>
Date: Wed, 21 Dec 2022 13:48:12 +0100

Dear Haskell team,
dear all,

itd <[email-masked]> writes:

> thanks for the patch!  I applied it, tried it, and ran into some build
> issues. [...]
> Ignorant of the patch provided here, I tried to build newer versions of
> ghc-attoparsec / its dependants and ended up with the attached patch.
> Using this patch, the build succeeds (but I am not sure if the patch's
> approach is sensible). [...]

if possible, I'd appreciate feedback on my previous mail.  E.g., does my
attempt in using the originally proposed patch make sense?  Any opinions
on my patch?

Thank you.

Regards
itd